org.apache.xmlbeans

## Interface QNameSetSpecification

- All Known Implementing Classes:
    QNameSet, QNameSetBuilder

      public interface QNameSetSpecification

  Represents a lattice of finite and infinite sets of QNames.
  See Also:
    `QNameSet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(javax.xml.namespace.QName name)` True if the set contains the given QName.
    `boolean` | `containsAll(QNameSetSpecification set)` True if the parameter is a subset of this set.
    `java.util.Set` | `excludedQNamesInIncludedURIs()` The finite set of QNames that are excluded from the set within namespaces that are otherwise included.
    `java.util.Set` | `excludedURIs()` The finite set of namespace URIs that are almost completely excluded from the set (that is, each namespace URI that included in the set with with a finite number of QName exceptions).
    `java.util.Set` | `includedQNamesInExcludedURIs()` The finite set of QNames that are included in the set within namespaces that are otherwise excluded.
    `java.util.Set` | `includedURIs()` The finite set of namespace URIs that are almost completely included in the set (that is, each namespace URI that included in the set with with a finite number of QName exceptions).
    `QNameSet` | `intersect(QNameSetSpecification set)` Returns the intersection with another QNameSet.
    `QNameSet` | `inverse()` Return the inverse of this QNameSet.
    `boolean` | `isAll()` True if the set is the set of all QNames.
    `boolean` | `isDisjoint(QNameSetSpecification set)` True if is disjoint from the specified set.
    `boolean` | `isEmpty()` True if the set is empty.
    `QNameSet` | `union(QNameSetSpecification set)` Returns the union with another QNameSet.

- - ### Method Detail

    - #### contains

          boolean contains(javax.xml.namespace.QName name)

      True if the set contains the given QName. Roughly equivalent to: (includedURIs() == null ? excludedURIs().contains(namespace) : includedURIs().contains(namespace) ) ? !excludedQNamesInIncludedURIs().contains(name) : includedQNamesInExcludedURIs().contains(name)

    - #### isAll

          boolean isAll()

      True if the set is the set of all QNames.

    - #### isEmpty

          boolean isEmpty()

      True if the set is empty.

    - #### containsAll

          boolean containsAll(QNameSetSpecification set)

      True if the parameter is a subset of this set.

    - #### isDisjoint

          boolean isDisjoint(QNameSetSpecification set)

      True if is disjoint from the specified set.

    - #### intersect

          QNameSet intersect(QNameSetSpecification set)

      Returns the intersection with another QNameSet.

    - #### union

          QNameSet union(QNameSetSpecification set)

      Returns the union with another QNameSet.

    - #### inverse

          QNameSet inverse()

      Return the inverse of this QNameSet. That is the QNameSet which contains all the QNames not contained in this set. In other words for which set.contains(name) != set.inverse().contains(name) for all names.

    - #### excludedURIs

          java.util.Set excludedURIs()

      The finite set of namespace URIs that are almost completely excluded from the set (that is, each namespace URI that included in the set with with a finite number of QName exceptions). Null if the set of namespaceURIs that are almost completely included is infinite.

      Null (meaning almost all URIs excluded) if includedURIs() is non-null; non-null otherwise.

      The same set as inverse().includedURIs().

    - #### includedURIs

          java.util.Set includedURIs()

      The finite set of namespace URIs that are almost completely included in the set (that is, each namespace URI that included in the set with with a finite number of QName exceptions). Null if the set of namespaceURIs that are almost completely included is infinite.

      Null (meaning almost all URIs included) if excludedURIs() is non-null; non-null otherwise.

      The same as inverse.excludedURIs().

    - #### excludedQNamesInIncludedURIs

          java.util.Set excludedQNamesInIncludedURIs()

      The finite set of QNames that are excluded from the set within namespaces that are otherwise included. Should only contain QNames within namespace that are within the set includedURIs() (or any URI, if includedURIs() is null, which means that all URIs are almost completely included).

      Never null.

      The same set as inverse().includedQNames().

    - #### includedQNamesInExcludedURIs

          java.util.Set includedQNamesInExcludedURIs()

      The finite set of QNames that are included in the set within namespaces that are otherwise excluded. Should only contain QNames within namespace that are within the set excludedURIs() (or any URI, if excludedURIs() is null, which means that all URIs are almost completely excluded).

      Never null.

      The same as inverse().excludedQNames().